package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordPinjianDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 检验记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordPinjianMapper extends BaseMapperX<RecordPinjianDO> {

    default PageResult<RecordPinjianDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordPinjianDO>()
                .eq(RecordPinjianDO::getRecordId, recordId)
                .orderByDesc(RecordPinjianDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordPinjianDO::getRecordId, recordId);
    }

}